Get webhook
curl --request GET \
--url https://catchall.newscatcherapi.com/catchAll/webhooks/{webhook_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://catchall.newscatcherapi.com/catchAll/webhooks/{webhook_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://catchall.newscatcherapi.com/catchAll/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Webhook retrieved successfully.",
"webhook": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Layoffs Alert",
"url": "https://hooks.slack.com/services/T000/B000/xxx",
"type": "slack",
"delivery_mode": "full",
"method": "POST",
"headers": {},
"params": {},
"formatter_config": null,
"is_active": true,
"organization_id": "org-uuid-here",
"created_by_user_id": "user-uuid-here",
"created_at": "2026-05-18T10:00:00Z",
"updated_at": "2026-05-18T10:00:00Z"
}
}{
"detail": "Invalid API key"
}{
"detail": "Invalid API key"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Webhooks
Get webhook
Returns the full configuration of a single webhook by ID.
GET
/
catchAll
/
webhooks
/
{webhook_id}
Get webhook
Authorizations
API key for authentication.
Path Parameters
Unique webhook identifier.
Was this page helpful?
⌘I

